program WordMagic;

uses
  Forms,
  Windows,
  ObjWordMagicSplash in 'ObjWordMagicSplash.pas' {frmSplash},
  ObjWordMagic in 'ObjWordMagic.pas' {frmWordMagic},
  ObjWordMagicAbout in 'ObjWordMagicAbout.pas' {frmAboutWordMagic};

{$R *.RES}

var
	MyClassName : array[0..255] of char;
	MyFound   	: HWnd;
	MyPopup     : HWnd;

begin
	GetClassName(Application.Handle, MyClassName, SizeOf(MyClassName));
	MyFound := FindWindow(MyClassName, 'Word Magic');

	if (MyFound <> 0) then begin
		MyPopup := GetLastActivePopup(MyFound);
		BringWindowToTop(MyFound);
		if IsIconic(MyPopup) then
			ShowWindow(MyPopup, SW_RESTORE)
		else
			SetForegroundWindow(MyPopup);
  end else begin
    Application.Initialize;
    Application.Title := 'Word Magic';
    try
      frmSplash           := TfrmSplash.Create(Application);
      frmSplash.Show;
      frmSplash.Update;
    finally
      frmSplash.Close;
      Application.CreateForm(TfrmWordMagic, frmWordMagic);
      Application.OnHint  := frmWordMagic.DisplayHint;      
      Application.Run;
    end; {try}
  end; {if}

{WordMagic}
end.
